Uploaded image for project: 'Infinispan'
  1. Infinispan
  2. ISPN-9954

Missing dependency on server/integration/testsuite

    Details

      Description

      infinispan-remote dependecy is missing when we try to build infinispan using the following command

      mvn -s settings_mead_jdg.xml -f infinispan/pom.xml -pl server/integration/testsuite -B clean verify -Dmaven.test.failure.ignore=true -Pclient.hotrod.osgi -Dversion.karaf=4.2.0 -Dzip.dist=/path/to/infinispan-server.zip 

      Here the throwed exception

      [INFO] Running org.infinispan.server.test.client.hotrod.osgi.RemoteCacheOsgiIT
      [OK:     0, KO:     0, SKIP:     0] Test starting: RemoteCacheOsgiIT.initializationError
      [OK:     0, KO:     1, SKIP:     0] Test failed: RemoteCacheOsgiIT.initializationError
      org.ops4j.pax.exam.TestContainerException: java.lang.IllegalArgumentException: Could not resolve version. Do you have a dependency for org.infinispan/infinispan-remote in your maven project?
      	at org.ops4j.pax.exam.spi.reactors.ReactorManager.prepareReactor(ReactorManager.java:195)
      	at org.ops4j.pax.exam.junit.impl.ProbeRunner.<init>(ProbeRunner.java:78)
      	at org.ops4j.pax.exam.junit.PaxExam.createDelegate(PaxExam.java:82)
      	at org.ops4j.pax.exam.junit.PaxExam.<init>(PaxExam.java:73)
      	at sun.reflect.NativeConstructorAccessorImpl.newInstance0(Native Method)
      	at sun.reflect.NativeConstructorAccessorImpl.newInstance(NativeConstructorAccessorImpl.java:62)
      	at sun.reflect.DelegatingConstructorAccessorImpl.newInstance(DelegatingConstructorAccessorImpl.java:45)
      	at java.lang.reflect.Constructor.newInstance(Constructor.java:423)
      	at org.junit.internal.builders.AnnotatedBuilder.buildRunner(AnnotatedBuilder.java:104)
      	at org.junit.internal.builders.AnnotatedBuilder.runnerForClass(AnnotatedBuilder.java:86)
      	at org.junit.runners.model.RunnerBuilder.safeRunnerForClass(RunnerBuilder.java:59)
      	at org.junit.internal.builders.AllDefaultPossibilitiesBuilder.runnerForClass(AllDefaultPossibilitiesBuilder.java:26)
      	at org.junit.runner.Computer.getRunner(Computer.java:40)
      	at org.junit.runner.Computer$1.runnerForClass(Computer.java:31)
      	at org.junit.runners.model.RunnerBuilder.safeRunnerForClass(RunnerBuilder.java:59)
      	at org.junit.runners.model.RunnerBuilder.runners(RunnerBuilder.java:101)
      	at org.junit.runners.model.RunnerBuilder.runners(RunnerBuilder.java:87)
      	at org.junit.runners.Suite.<init>(Suite.java:81)
      	at org.junit.runner.Computer.getSuite(Computer.java:28)
      	at org.junit.runner.Request.classes(Request.java:75)
      	at org.apache.maven.surefire.junitcore.JUnitCoreWrapper.createRequestAndRun(JUnitCoreWrapper.java:126)
      	at org.apache.maven.surefire.junitcore.JUnitCoreWrapper.executeEager(JUnitCoreWrapper.java:107)
      	at org.apache.maven.surefire.junitcore.JUnitCoreWrapper.execute(JUnitCoreWrapper.java:83)
      	at org.apache.maven.surefire.junitcore.JUnitCoreWrapper.execute(JUnitCoreWrapper.java:75)
      	at org.apache.maven.surefire.junitcore.JUnitCoreProvider.invoke(JUnitCoreProvider.java:158)
      	at org.apache.maven.surefire.booter.ForkedBooter.invokeProviderInSameClassLoader(ForkedBooter.java:384)
      	at org.apache.maven.surefire.booter.ForkedBooter.runSuitesInProcess(ForkedBooter.java:345)
      	at org.apache.maven.surefire.booter.ForkedBooter.execute(ForkedBooter.java:126)
      	at org.apache.maven.surefire.booter.ForkedBooter.main(ForkedBooter.java:418)
      Caused by: java.lang.IllegalArgumentException: Could not resolve version. Do you have a dependency for org.infinispan/infinispan-remote in your maven project?
      	at org.ops4j.pax.exam.MavenUtils.getArtifactVersion(MavenUtils.java:75)
      	at org.ops4j.pax.exam.MavenUtils$1.getVersion(MavenUtils.java:109)
      	at org.ops4j.pax.exam.options.MavenArtifactUrlReference.version(MavenArtifactUrlReference.java:86)
      	at org.ops4j.pax.exam.options.MavenArtifactUrlReference.versionAsInProject(MavenArtifactUrlReference.java:90)
      	at org.infinispan.server.test.client.hotrod.osgi.RemoteCacheOsgiIT.config(RemoteCacheOsgiIT.java:83)
      	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
      	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)
      	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
      	at java.lang.reflect.Method.invoke(Method.java:498)
      	at org.ops4j.pax.exam.spi.reactors.ReactorManager.addConfigurationsToReactor(ReactorManager.java:248)
      	at org.ops4j.pax.exam.spi.reactors.ReactorManager.prepareReactor(ReactorManager.java:184)
      	... 28 more
      07:31:08.257 [main] ERROR org.infinispan.commons.test.TestSuiteProgress - Test failed: RemoteCacheOsgiIT.initializationError
      org.ops4j.pax.exam.TestContainerException: java.lang.IllegalArgumentException: Could not resolve version. Do you have a dependency for org.infinispan/infinispan-remote in your maven project?
      	at org.ops4j.pax.exam.spi.reactors.ReactorManager.prepareReactor(ReactorManager.java:195) ~[pax-exam-spi-4.11.0.jar:?]
      	at org.ops4j.pax.exam.junit.impl.ProbeRunner.<init>(ProbeRunner.java:78) ~[pax-exam-junit4-4.11.0.jar:?]
      	at org.ops4j.pax.exam.junit.PaxExam.createDelegate(PaxExam.java:82) ~[pax-exam-junit4-4.11.0.jar:?]
      	at org.ops4j.pax.exam.junit.PaxExam.<init>(PaxExam.java:73) ~[pax-exam-junit4-4.11.0.jar:?]
      	at sun.reflect.NativeConstructorAccessorImpl.newInstance0(Native Method) ~[?:1.8.0_191]
      	at sun.reflect.NativeConstructorAccessorImpl.newInstance(NativeConstructorAccessorImpl.java:62) ~[?:1.8.0_191]
      	at sun.reflect.DelegatingConstructorAccessorImpl.newInstance(DelegatingConstructorAccessorImpl.java:45) ~[?:1.8.0_191]
      	at java.lang.reflect.Constructor.newInstance(Constructor.java:423) ~[?:1.8.0_191]
      	at org.junit.internal.builders.AnnotatedBuilder.buildRunner(AnnotatedBuilder.java:104) ~[junit-4.12.0.redhat-003.jar:4.12.0.redhat-003]
      	at org.junit.internal.builders.AnnotatedBuilder.runnerForClass(AnnotatedBuilder.java:86) ~[junit-4.12.0.redhat-003.jar:4.12.0.redhat-003]
      	at org.junit.runners.model.RunnerBuilder.safeRunnerForClass(RunnerBuilder.java:59) ~[junit-4.12.0.redhat-003.jar:4.12.0.redhat-003]
      	at org.junit.internal.builders.AllDefaultPossibilitiesBuilder.runnerForClass(AllDefaultPossibilitiesBuilder.java:26) ~[junit-4.12.0.redhat-003.jar:4.12.0.redhat-003]
      	at org.junit.runner.Computer.getRunner(Computer.java:40) ~[junit-4.12.0.redhat-003.jar:4.12.0.redhat-003]
      	at org.junit.runner.Computer$1.runnerForClass(Computer.java:31) ~[junit-4.12.0.redhat-003.jar:4.12.0.redhat-003]
      	at org.junit.runners.model.RunnerBuilder.safeRunnerForClass(RunnerBuilder.java:59) ~[junit-4.12.0.redhat-003.jar:4.12.0.redhat-003]
      	at org.junit.runners.model.RunnerBuilder.runners(RunnerBuilder.java:101) ~[junit-4.12.0.redhat-003.jar:4.12.0.redhat-003]
      	at org.junit.runners.model.RunnerBuilder.runners(RunnerBuilder.java:87) ~[junit-4.12.0.redhat-003.jar:4.12.0.redhat-003]
      	at org.junit.runners.Suite.<init>(Suite.java:81) ~[junit-4.12.0.redhat-003.jar:4.12.0.redhat-003]
      	at org.junit.runner.Computer.getSuite(Computer.java:28) ~[junit-4.12.0.redhat-003.jar:4.12.0.redhat-003]
      	at org.junit.runner.Request.classes(Request.java:75) ~[junit-4.12.0.redhat-003.jar:4.12.0.redhat-003]
      	at org.apache.maven.surefire.junitcore.JUnitCoreWrapper.createRequestAndRun(JUnitCoreWrapper.java:126) [surefire-junit47-3.0.0-M1.jar:3.0.0-M1]
      	at org.apache.maven.surefire.junitcore.JUnitCoreWrapper.executeEager(JUnitCoreWrapper.java:107) [surefire-junit47-3.0.0-M1.jar:3.0.0-M1]
      	at org.apache.maven.surefire.junitcore.JUnitCoreWrapper.execute(JUnitCoreWrapper.java:83) [surefire-junit47-3.0.0-M1.jar:3.0.0-M1]
      	at org.apache.maven.surefire.junitcore.JUnitCoreWrapper.execute(JUnitCoreWrapper.java:75) [surefire-junit47-3.0.0-M1.jar:3.0.0-M1]
      	at org.apache.maven.surefire.junitcore.JUnitCoreProvider.invoke(JUnitCoreProvider.java:158) [surefire-junit47-3.0.0-M1.jar:3.0.0-M1]
      	at org.apache.maven.surefire.booter.ForkedBooter.invokeProviderInSameClassLoader(ForkedBooter.java:384) [surefire-booter-3.0.0-M1.jar:3.0.0-M1]
      	at org.apache.maven.surefire.booter.ForkedBooter.runSuitesInProcess(ForkedBooter.java:345) [surefire-booter-3.0.0-M1.jar:3.0.0-M1]
      	at org.apache.maven.surefire.booter.ForkedBooter.execute(ForkedBooter.java:126) [surefire-booter-3.0.0-M1.jar:3.0.0-M1]
      	at org.apache.maven.surefire.booter.ForkedBooter.main(ForkedBooter.java:418) [surefire-booter-3.0.0-M1.jar:3.0.0-M1]
      Caused by: java.lang.IllegalArgumentException: Could not resolve version. Do you have a dependency for org.infinispan/infinispan-remote in your maven project?
      	at org.ops4j.pax.exam.MavenUtils.getArtifactVersion(MavenUtils.java:75) ~[pax-exam-4.11.0.jar:?]
      	at org.ops4j.pax.exam.MavenUtils$1.getVersion(MavenUtils.java:109) ~[pax-exam-4.11.0.jar:?]
      	at org.ops4j.pax.exam.options.MavenArtifactUrlReference.version(MavenArtifactUrlReference.java:86) ~[pax-exam-4.11.0.jar:?]
      	at org.ops4j.pax.exam.options.MavenArtifactUrlReference.versionAsInProject(MavenArtifactUrlReference.java:90) ~[pax-exam-4.11.0.jar:?]
      	at org.infinispan.server.test.client.hotrod.osgi.RemoteCacheOsgiIT.config(RemoteCacheOsgiIT.java:83) ~[test-classes/:?]
      	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method) ~[?:1.8.0_191]
      	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62) ~[?:1.8.0_191]
      	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43) ~[?:1.8.0_191]
      	at java.lang.reflect.Method.invoke(Method.java:498) ~[?:1.8.0_191]
      	at org.ops4j.pax.exam.spi.reactors.ReactorManager.addConfigurationsToReactor(ReactorManager.java:248) ~[pax-exam-spi-4.11.0.jar:?]
      	at org.ops4j.pax.exam.spi.reactors.ReactorManager.prepareReactor(ReactorManager.java:184) ~[pax-exam-spi-4.11.0.jar:?]
      	... 28 more
      [ERROR] Tests run: 1, Failures: 0, Errors: 1, Skipped: 0, Time elapsed: 0.037 s <<< FAILURE! - in org.infinispan.server.test.client.hotrod.osgi.RemoteCacheOsgiIT
      [ERROR] initializationError(org.infinispan.server.test.client.hotrod.osgi.RemoteCacheOsgiIT)  Time elapsed: 0.008 s  <<< ERROR!
      org.ops4j.pax.exam.TestContainerException: java.lang.IllegalArgumentException: Could not resolve version. Do you have a dependency for org.infinispan/infinispan-remote in your maven project?
      	at org.infinispan.server.test.client.hotrod.osgi.RemoteCacheOsgiIT.config(RemoteCacheOsgiIT.java:83)
      

        Gliffy Diagrams

          Attachments

            Issue Links

              Activity

                People

                • Assignee:
                  gliraesi Gustavo Lira Silva
                  Reporter:
                  gliraesi Gustavo Lira Silva
                • Votes:
                  0 Vote for this issue
                  Watchers:
                  3 Start watching this issue

                  Dates

                  • Created:
                    Updated:
                    Resolved: